import request from '@/utils/request'

// 分页查询剧院
export const pageList = (query) => {
  return request({
    url: '/merchant/merchantTheatre/pageList',
    method: 'get',
    params: query
  })
}

// 新增/修改剧院
export const saveAndEdit = (data) => {
  return request({
    url: '/merchant/merchantTheatre/insertOrUpdate',
    method: 'post',
    data: data
  })
}


// ID获取剧院详情
export function getSelectById(id) {
  return request({
    url: '/merchant/merchantTheatre/selectById?id=' + id,
    method: 'get'
  })
}

// 删除模板
export const deleteById = (id) => {
  return request({
    url: '/merchant/merchantTheatre/deleteById',
    method: 'delete',
    params: {id:id}
  })
}
